List available Locations – Management API – MediaKind
List available Locations
get https://app.mk.io/api/v1/locations
Listing, Sorting and Filtering Locations
This endpoint returns the list of locations.
Sorting
The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas where each one can optionally specify asc or desc.
Sorting is valid on the following fields: displayName, id, name
Filtering
The $filter query parameter allows for locations to be filtered on the basis of fields in the schema using OData query syntax. See this document for more details on the syntax used.
Filters are valid on the following fields: cloud/name, cloud/region/name, displayName, id, name
Examples:
?$top=10 - Returns only the first 10 locations from the list.
?$orderby=name desc - Sorts locations by name in descending order.
?$filter=name eq 'descriptive name' - Returns locations that match the provided name.
RBAC Capability Required: core.location.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
$orderby string Optional
Specifies the key by which the result collection should be ordered.$filter string Optional
Restricts the set of items returned.$top string Optional
Specifies a non-negative integernthat limits the number of items returned from a collection.
The service returns the number of available items up to but not greater than the specified valuen.$skiptoken string Optional
Specifies a start offset to support paginated results.
Use@odata.nextLinkin the result object to enumerate the collection - it will be present only if there's more than one page of entities.
Response
200 A list of locations
kind string Optional
The type of the resource.
value list of objects LocationSchema_v1 Required
A list of Locations
metadata object MetadataMinimalSchema Required
Metadata.
- displayName string Optional
The display name of the resource - id string Required format: uuid
The ID of the resource - name string Optional
The name of the resource
spec object LocationSpecSchema_v1 Required
Specification.
cloud object LocationCloudSchema Optional
Cloud.displayName string Required
The display name of the cloud.- name string Optional
The unique name of the cloud.
- name string Optional
region object LocationRegionSchema Optional
Cloud region.displayName string Required
The display name of the cloud region.- name string Optional
The name of the cloud region (unique within the cloud).
- name string Optional
organization object OrganizationSpecSchema_v1 Optional
Organization information if applicable.id string or null Optional format: uuid
ID of the organization.- name string Required
Name of the organization.
- name string Required
type enum Required
Is the location one that is usable only by your organization? Allowed values: SaaS, Dedicated
Errors
400 Bad Request
error object ErrorDetail Required
Pertinent information about the error
- code string Required
The error code. - detail string Required
The error message. - extraDetail map from strings to any Optional
Extra information regarding this error.
401 Unauthorized
error object ErrorDetail Required
Pertinent information about the error
403 Forbidden
error object ErrorDetail Required
Pertinent information about the error
404 Not Found
error object ErrorDetail Required
Pertinent information about the error
429 Too Many Requests
error object ErrorDetail Required
Pertinent information about the error
500 Internal Server Error
error object ErrorDetail Required
Pertinent information about the error